# -*- coding: utf-8 -*-

#https://github.com/snakers4/silero-models

import os
import sys
import torch
from playsound import playsound

if len(sys.argv) != 3:
    print ("Syntax: python3 text_to_wav.py text.txt voice.wav")
    exit()

input_file_name = sys.argv[1]
output_file_name = sys.argv[2]

print ("Input file:", input_file_name)
print ("Output file:", output_file_name)

with open(input_file_name, 'r') as file:
    example_text = file.read().rstrip()

print("Text:")
print(example_text)

print("\r\nPocessing...")

device = torch.device('cpu')
torch.set_num_threads(4)

local_file = 'v3_ua.pt'
remote_file = 'https://models.silero.ai/models/tts/ua/' + local_file
sample_rate = 48000
speaker='mykyta'

if not os.path.isfile(local_file):
    torch.hub.download_url_to_file(remote_file, local_file)

model = torch.package.PackageImporter(local_file).load_pickle("tts_models", "model")
model.to(device)

audio_paths = model.save_wav(text=example_text, speaker=speaker, sample_rate=sample_rate, audio_path = output_file_name)

print("Playing...")

playsound(output_file_name)

print("Done.")
